Download it now!
Bug 89608 - TOC: Redesign of the Entries tab of the Index/Table dialog
Summary: TOC: Redesign of the Entries tab of the Index/Table dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
: 73160 (view as bug list)
Depends on:
Blocks: TableofContents-Indexes-Dialog
  Show dependency treegraph
 
Reported: 2015-02-24 08:30 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-05-28 19:45 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
mockup (44.54 KB, image/png)
2015-02-24 09:06 UTC, Yousuf Philips (jay) (retired)
Details
mockup 2 (44.14 KB, image/png)
2015-03-06 12:22 UTC, Yousuf Philips (jay) (retired)
Details
gdocs mockup (159.37 KB, image/png)
2015-03-16 22:54 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-24 08:30:44 UTC
Unfortunately the current layout of the Entries tab is very bad and think that it could easily be improved on by displaying the structure vertically rather than horizontally.

With a vertical layout, we could include buttons to reorder the entries, have entries with full names rather than abbreviations, etc.

As a new set of eyes looking at this tab, i couldnt make heads or tails of it until i watched a youtube tutorial on it ( https://www.youtube.com/watch?v=g8hknb9QwCQ ) and still didnt fully get it because of the bad layout.

Then who would have guessed that @libreoffice would tweet out about TOCs ( https://twitter.com/libreoffice/status/570124298578477056 ) just a few minutes after i went through TOCs and indexes and stated that it was possible to delete an entry. So i tried to right-click and i tried drag selection and none worked and who was there to rescue, good old Cor saying that i should press the delete key. :D

Will start working on a mockup.
Comment 1 Yousuf Philips (jay) (retired) 2015-02-24 09:06:22 UTC
Created attachment 113635 [details]
mockup
Comment 2 Cor Nouws 2015-02-24 09:24:45 UTC Comment hidden (obsolete)
Comment 3 Yousuf Philips (jay) (retired) 2015-02-24 09:37:44 UTC
(In reply to Cor Nouws from comment #2)
> Much better :)
> 
> First remarks:
>  - a horizontal (natural) visualization maybe on top or below the list?

Well if preview is open, which it is by default, you'll see it visually. :D

>  - not all actions (up/down) are valid on all entries, obviously.

Well that would need to be taken into consideration when the developer programs it in, just like some of the buttons are currently disabled (e.g. Page No.).
Comment 4 A (Andy) 2015-02-24 20:24:35 UTC
For me this mockup is from the layout standpoint already a great proposal.  With it this dialog box would no longer be that cryptical as currently.
Comment 5 Yousuf Philips (jay) (retired) 2015-03-06 12:22:12 UTC
Created attachment 113931 [details]
mockup 2

Here is the second mockup that i've been working on. Sophie mentioned that it was possible to add regular text as an entry, so it was also added to the mockup.
Comment 6 Yousuf Philips (jay) (retired) 2015-03-06 15:36:22 UTC
We had design session about this dialog and the details can be found at this google doc - https://docs.google.com/document/d/1dhaaV2Q5XFXK0-m-y2wYq5tKjIX_YRTMEKDXPslskUw/edit?usp=sharing
Comment 7 Regina Henschel 2015-03-06 15:54:48 UTC
It is confusing to have both "Entry Text" and "Text Entry".
Comment 8 Yousuf Philips (jay) (retired) 2015-03-07 10:45:56 UTC
(In reply to Regina Henschel from comment #7)
> It is confusing to have both "Entry Text" and "Text Entry".

Yes it was confusing, which is why i had proposed to have it to 'Heading Text' and 'Text Entry' in yesterday's meeting. What do others think?
Comment 9 Regina Henschel 2015-03-07 11:05:27 UTC
The same dialog is used for indexes as well, and e.g. for an Alphabetical Index the wording "Heading Text" does not fit. You will need individual texts for each kind of use of the dialog, when you will replace the generic "E". I don't know the effort to implement such.
Comment 10 Heiko Tietze 2015-03-08 10:01:48 UTC
Well spotted. I updated the mockup
* changed 'Text Entry' to 'Heading Text'
* added the item 'User Text "<value>"'
* added the grouping title 'Hierarchy'
* changed 'Level' to 'Level in TOC' (for clarification and to fit the the text length below; it would be better to have another group label and use 'Hierarchy Level' here)
Comment 11 Heiko Tietze 2015-03-08 10:05:57 UTC
Regina, if you think 'Heading Text' is not appropriate (sorry for missing that), what would you suggest? I think that 'Heading Text' and 'Annotation Text' works well in their own tab.
Comment 12 Yousuf Philips (jay) (retired) 2015-03-08 11:00:35 UTC
* Its best to keep the original labeling of "Entry Text" over "Heading Text"
* "User Text" seems fine
* 'Level in TOC' isnt good as the label as it wouldnt be abbreviated in other languages
Comment 13 Regina Henschel 2015-03-08 12:33:43 UTC
Before trying to find better wording and better design, you have to decide, whether this dialog has to be used for all kind of indexes (as it is now), or whether each kind of index will get its own dialog. Please keep in mind, that currently the dialog is used not only for TOC, but for "Alphabetical Index", "Illustration Index", "Index of Tables", "User-Defined Index", "Table of Objects", and "Bibliography" as well.
Comment 14 Heiko Tietze 2015-03-08 19:26:41 UTC
We talked about the scope and as stated on G+ doc the redesign is for the tab 'Entries' only. All other content should remain as it is, for now.
But I have to admit that at least I wasn't considering the index type. The interaction is awful. Do you think we should redesign the complete dialog? Small steps or the big fish?
Comment 15 Regina Henschel 2015-03-10 00:19:52 UTC
(In reply to Heiko Tietze from comment #14)
> Do you think we should redesign the complete dialog?
> Small steps or the big fish?

I'm not sure about it. Currently there are two concepts. One with only buttons to build the entries-structure-line (used by TOC and Indexes) and the other with drop-down selection list and insert/remove buttons (used by Bibliography). Is it worth to unify it? And who will do it?

(In reply to Jay Philips from comment #3)
> Well if preview is open, which it is by default, you'll see it visually. :D

For Bibliography the preview window exist, but does not show an example of the entries-structure.
Comment 16 Owen Genat (retired) 2015-03-15 03:36:28 UTC
I notice in the comments to the related blog post:

http://user-prompt.com/libreoffice-design-session-entries-at-indexes-and-tables/

... that TAB stops are likely to be handled via the character style in the new mockup. Does anyone know how this will impact bug 32360 and bug 87523? Each relates to alignment problems with the current dialog. Is it worth adding these to the See Also list?

A warm thankyou to Jay, Heiko, and the Design team for your work on this. Seems like a worthy improvement even if there are still some issues to untangle.
Comment 17 Yousuf Philips (jay) (retired) 2015-03-15 12:56:51 UTC
(In reply to Regina Henschel from comment #15)
> I'm not sure about it. Currently there are two concepts. One with only
> buttons to build the entries-structure-line (used by TOC and Indexes) and
> the other with drop-down selection list and insert/remove buttons (used by
> Bibliography). Is it worth to unify it? And who will do it?

We discussed the issues you brought up in last wednesday's design meeting and the mockup will be utilized in the various index/table types that it works correctly with.

Looking at the structure of the bibliography entries tab, the mockup would also work fine, as the 'Add' button contains a list of entries that can be added, so it would have the same entries found in the drop-down selection list in bibliography.

> For Bibliography the preview window exist, but does not show an example of
> the entries-structure.

Well that should be filed as another bug if it isnt already. :D

(In reply to Owen Genat from comment #16)
> ... that TAB stops are likely to be handled via the character style in the
> new mockup. Does anyone know how this will impact bug 32360 and bug 87523?
> Each relates to alignment problems with the current dialog. Is it worth
> adding these to the See Also list?

The new mockup doesnt change this aspect of the dialog. Currently, when you click on a tab stop, you are given four fields - character style, fill character, tab stop position, align right - which control the look of the spacing between the entry and the page number.

> A warm thankyou to Jay, Heiko, and the Design team for your work on this.
> Seems like a worthy improvement even if there are still some issues to
> untangle.

Thank Owen. Most things have been untangled now, so all that is necessary is a developer to turn this into reality.
Comment 18 Yousuf Philips (jay) (retired) 2015-03-16 22:54:30 UTC
Created attachment 114138 [details]
gdocs mockup

Heiko and I went through and fixed up the mockup with the suggestions and comments that have come in since the original session and full details are in the google doc and i'm attaching the mockup to the bug report.
Comment 19 Cor Nouws 2015-03-17 08:42:29 UTC
thanks Jay and Heiko! Looks really good.
Comment 20 Stephan van den Akker 2015-03-18 19:48:32 UTC
Talked it over with a user who up to now has had a lot trouble understanding the present dailog. He thinks the mockup is a big improvement!
Comment 21 Heiko Tietze 2015-03-18 20:15:42 UTC
Stephan spotted another problem with the dialog: the 'apply to all' button. The best solution here is to remove this button completely and to add an entry in the levels dropdown. So users have to select either a particular item ('hierarchy level' called in the latest mockup, but depending on the chosen type on the first tab) or to select 'all levels' here (should be the first item).
Comment 22 Cor Nouws 2015-03-18 20:23:30 UTC
(In reply to Heiko Tietze from comment #21)
> Stephan spotted another problem with the dialog: the 'apply to all' button.

And that is what?

> The best solution here is to remove this button completely and to add an
> entry in the levels dropdown. So users have to select either a particular
> item ('hierarchy level' called in the latest mockup, but depending on the
> chosen type on the first tab) or to select 'all levels' here (should be the
> first item).

If so, the 'Paragraph style' must be de-activated if 'all levels' is chosen.
Comment 23 Yousuf Philips (jay) (retired) 2015-03-18 20:30:01 UTC
(In reply to Heiko Tietze from comment #21)
> Stephan spotted another problem with the dialog: the 'apply to all' button.
> The best solution here is to remove this button completely and to add an
> entry in the levels dropdown. So users have to select either a particular
> item ('hierarchy level' called in the latest mockup, but depending on the
> chosen type on the first tab) or to select 'all levels' here (should be the
> first item).

Cant say that i agree with this approach, as a user will likely be on whatever level is set when they enter the tab and then jump to the entries section to make the changes he/she wants and then want to apply that change to other levels.
Comment 24 Cor Nouws 2015-03-18 20:53:24 UTC
(In reply to Jay Philips from comment #23)

> Cant say that i agree with this approach, ...

Hey you, why jumping in with (dis)agreement immediately :) Ask some smart questions first ;) 
(no pun intended, just couldn't resist...)
Comment 25 Stephan van den Akker 2015-03-20 10:34:50 UTC
@Cor (comment 22)

The discussion about the button was started by me in the comments thread of:

http://user-prompt.com/libreoffice-design-session-entries-at-indexes-and-tables

I agree that the "Paragraph Style" drop-down should be disabled when "all levels" are selected.

@Jay (comment 23)

I see your point. However, what is to stop a user from selecting "all levels" after he has made his changes to the entries? As long as this action doesn't reset his changes, nothing of his work is lost. 

Another question is: How does an inexperienced user know there is an "all levels" selection? It is "hidden" in the drop-down. Is there a solution possible for that?
Comment 26 Yousuf Philips (jay) (retired) 2015-03-20 21:10:59 UTC
@Stephen: Well my comment was made with the assumption that "all levels" wasnt an entry in the drop down list. If the "all levels" entry is included in the drop down list, then it should be the first entry and preselected by default. But even with the "all levels" entry available, there will be situations where the entries in a single modified level would want to be applied to all the levels, so the button would always have a reason to exist.
Comment 27 mahfiaz 2015-04-08 22:46:12 UTC
*** Bug 73160 has been marked as a duplicate of this bug. ***
Comment 28 Roman Kuznetsov 2016-03-15 20:17:04 UTC
Yousuf, work over new tab Entries was ended?

ps: see bug 85814 =(
Comment 29 Yousuf Philips (jay) (retired) 2016-03-16 03:43:42 UTC
(In reply to kompilainenn from comment #28)
> Yousuf, work over new tab Entries was ended?

The work is still pending and is one of the GSoC projects.
https://wiki.documentfoundation.org/Development/GSoC/Ideas#Table_of_Contents:_Entries_tab

> ps: see bug 85814 =(

UI font size is always an issue. :D